package data_manage

import (
	"time"

	"github.com/beego/beego/v2/client/orm"
)

type EdbInfoRecord struct {
	EdbInfoRecordId     int       `orm:"column(edb_info_record_id);pk"`
	EdbInfoId           int       `orm:"column(edb_info_id)"`
	OldEdbName          string    `description:"旧的指标名称"`
	OldFrequency        string    `description:"旧的频率"`
	OldUnit             string    `description:"旧的单位"`
	NewEdbName          string    `description:"新的指标名称"`
	NewFrequency        string    `description:"新的频率"`
	NewUnit             string    `description:"新的单位"`
	OperateUserId       int       `description:"执行人id"`
	OperateUserRealName string    `description:"执行人名称"`
	CreateTime          time.Time `description:"记录的生成时间"`
	Timestamp           int64     `description:"时间戳"`
}

func AddEditEdbInfoRcord(edbRecord *EdbInfoRecord) (e error) {
	o := orm.NewOrmUsingDB("data")
	_, e = o.Insert(edbRecord)
	return
}
